1.1
1.1
post /v1/triggers/cronjob
Description
Cloud Function 트리거 생성
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260430 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | CronjobTriggerCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | TriggerCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/triggers/cronjob
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"
Request body
{
"cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
"schedule": "* * * * 0",
"timezone": "Asia/Tokyo"
}
Example HTTP response
Response 200
{
"alias": "$LATEST",
"cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
"triggers": [
{
"schedule": "* * * * 0",
"timezone": "Asia/Tokyo",
"trigger_id": 1,
"trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
"trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
"trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
"trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
"trigger_type": "apigateway"
}
]
}